aboutsummaryrefslogtreecommitdiff
path: root/testing/with-saio.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testing/with-saio.sh')
-rwxr-xr-xtesting/with-saio.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testing/with-saio.sh b/testing/with-saio.sh
new file mode 100755
index 0000000..9f040eb
--- /dev/null
+++ b/testing/with-saio.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if ! docker inspect schwift-testing >/dev/null; then
+ echo "SAIO container not running yet. Run ./testing/start-saio.sh to start it." >&2
+ exit 1
+fi
+
+ST_PORT="$(docker inspect schwift-testing | jq -r '.[0].NetworkSettings.Ports["8080/tcp"][0].HostPort')"
+export ST_AUTH="http://127.0.0.1:${ST_PORT}/auth/v1.0"
+export ST_USER="test:tester" # hardcoded auth parameters in the bouncestorage/docker-swift image
+export ST_KEY="testing"
+
+exec "$@"